Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 17101024: Add support for CSS3 "text-decoration" shorthand (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 9 months ago by brunoabinader
Modified:
1 year, 8 months ago
CC:
blink-reviews, apavlov+blink_chromium.org, dglazkov+blink, eae+blinkwatch, darktears, tfarina
Visibility:
Public.

Description

Add support for CSS3 "text-decoration" shorthand This patch implements the shorthand version of "text-decoration" property, as specified by the CSS3 Text Decoration specification: http://dev.w3.org/csswg/css-text-decor-3/#text-decoration-property Backported from WebKit: https://bugs.webkit.org/show_bug.cgi?id=92000 BUG=165462

Patch Set 1 #

Total comments: 1

Patch Set 2 : Added missing code pointed out by Alexis #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -2 lines) Patch
M Source/core/css/CSSComputedStyleDeclaration.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/CSSComputedStyleDeclaration.cpp View 1 2 chunks +10 lines, -0 lines 0 comments Download
M Source/core/css/CSSParser.cpp View 1 3 chunks +6 lines, -2 lines 0 comments Download
M Source/core/css/StylePropertyShorthand.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/StylePropertyShorthand.cpp View 1 3 chunks +19 lines, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 9 (0 generated)
brunoabinader
Hi all, This is a preliminary patch that implements the shorthand version of the "text-decoration" ...
1 year, 9 months ago (2013-06-19 14:12:39 UTC) #1
Julien Chaffraix - PST
It looks like the test went missing in the transition.
1 year, 9 months ago (2013-06-19 17:38:36 UTC) #2
darktears
https://codereview.chromium.org/17101024/diff/1/Source/core/css/StylePropertyShorthand.cpp File Source/core/css/StylePropertyShorthand.cpp (right): https://codereview.chromium.org/17101024/diff/1/Source/core/css/StylePropertyShorthand.cpp#newcode476 Source/core/css/StylePropertyShorthand.cpp:476: return textDecorationLonghands; You also need to patch the bottom ...
1 year, 9 months ago (2013-06-19 18:12:01 UTC) #3
brunoabinader
On 2013/06/19 17:38:36, Julien Chaffraix wrote: > It looks like the test went missing in ...
1 year, 9 months ago (2013-06-20 15:34:58 UTC) #4
brunoabinader
On 2013/06/19 18:12:01, darktears wrote: > https://codereview.chromium.org/17101024/diff/1/Source/core/css/StylePropertyShorthand.cpp > File Source/core/css/StylePropertyShorthand.cpp (right): > > https://codereview.chromium.org/17101024/diff/1/Source/core/css/StylePropertyShorthand.cpp#newcode476 > ...
1 year, 9 months ago (2013-06-20 15:35:23 UTC) #5
brunoabinader
On 2013/06/20 15:34:58, abinader wrote: > On 2013/06/19 17:38:36, Julien Chaffraix wrote: > > It ...
1 year, 9 months ago (2013-06-20 15:36:23 UTC) #6
Julien Chaffraix - PST
Landing a change without the proper testing is a no-go from my perspective. This change ...
1 year, 9 months ago (2013-06-21 14:49:43 UTC) #7
abinader
Hi all, Just to let you know I've updated my email address, so I kindly ...
1 year, 8 months ago (2013-07-08 23:19:26 UTC) #8
tfarina
1 year, 8 months ago (2013-07-08 23:28:57 UTC) #9
Message was sent while issue was closed.
On 2013/07/08 23:19:26, abinader wrote:
> Hi all,
> 
> Just to let you know I've updated my email address, so I kindly request for
> someone to close this issue as I'm going to create a new one soon with the new
> login.

OK. I closed it.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ecdb341-tainted